socket.hh File Reference
`#include <iostream>`
`#include <list>`
`#include <string>`
`#include <cstring>`
`#include <sys/types.h>`
`#include <sys/time.h>`
`#include <sys/socket.h>`
`#include <netinet/in.h>`
`#include <arpa/inet.h>`
`#include <netdb.h>`
`#include <unistd.h>`
`#include "socketexception.hh"`

Go to the source code of this file.

## Classes

class | Network::Socket
| This class represent an abstract socket connection (udp | tcp server | tcp client) More...

## Namespaces

| Network
| Network namespace represent all networks connection.

## Macros

#define | SENDTO_FLAGS MSG_NOSIGNAL

## Typedefs

typedef enum Network::e_gnutls_kind | Network::GnuTLSKind
typedef enum Network::e_pkind | Network::PROTO_KIND
typedef enum Network::e_kind | Network::SOCKET_KIND
typedef enum Network::e_version | Network::SOCKET_VERSION

## Enumerations

enum | Network::e_gnutls_kind { Network::LIBSOCKET_TLS, Network::LIBSOCKET_SSL }
enum | Network::e_pkind { Network::text, Network::binary }
enum | Network::e_kind { Network::TCP, Network::UDP, Network::LOCAL }
enum | Network::e_version { Network::V4, Network::V6 }

## Functions

Socket & | Network::operator<< (Socket &s, const std::string &str)
| write a string on current socket More...
Socket & | Network::operator>> (Socket &s, std::string &str)
| read a string on current socket More...

## Macro Definition Documentation

## SENDTO_FLAGS

#define SENDTO_FLAGS MSG_NOSIGNAL

Definition at line 48 of file socket.hh.